#ifndef LINE_MAX
# define LINE_MAX 4096
#endif

#ifndef DAYSINSEC
# define DAYSINSEC(X) ((X) / (60UL * 60UL * 24UL))
#endif
#ifndef SECINDAYS
# define SECINDAYS(X) ((X) * (60UL * 60UL * 24UL))
#endif


#ifndef DBSEP
# define DBSEP "~"
# define DATABASE "misterproper.mrp"
# define FULL_DBPATH PACKAGE_DATA_DIR "/" DATABASE
# define INCREMENT ((time_t) (60UL * 60UL * 24UL))
#endif

typedef struct Thing_ {
	char *name;
	time_t frequency;
	time_t last;
} Thing;

#ifdef IN_MAIN
# define EXTERN
#else
# define EXTERN extern
#endif

EXTERN Thing **ndx;
EXTERN gint rowz;
EXTERN GSList *things;
EXTERN GtkWidget *taskedit;

void stripsep(char *x);
int insert_task(Thing * const current, unsigned long long cnt);
void reset_calendar_date(GtkWidget * const calendar);
void update_calendar_marks(gint row, GtkWidget * const calendar);
