/*
 * NE PAS EDITER CE FICHIER - il est gnr par Glade.
 */

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <sys/types.h>
#include <sys/stat.h>
#include <unistd.h>
#include <string.h>

#include <gnome.h>

#include "callbacks.h"
#include "interface.h"
#include "support.h"

GtkWidget *create_misterproper(void)
{
	GtkWidget *misterproper;
	GtkWidget *dock1;
	GtkWidget *hbox1;
	GtkWidget *dial1;
	GtkWidget *calendar2;
	GtkWidget *pixmap1;
	GtkWidget *toolbar;
	GtkWidget *tmp_toolbar_icon;
	GtkWidget *new;
	GtkWidget *open;
	GtkWidget *save;
	GtkWidget *delete;
	GtkWidget *less;
	GtkWidget *more;
	GtkWidget *done;
	GtkWidget *Quit;
	GtkWidget *scrolledwindow1;
	GtkWidget *clist_taches;
	GtkWidget *Task;
	GtkWidget *Freq;
	GtkWidget *LastTime;
	GtkWidget *ID;
	GtkWidget *appbar1;
	GtkTooltips *tooltips;

	tooltips = gtk_tooltips_new();

	misterproper = gnome_app_new("MisterProper", _("Misterproper"));
	gtk_widget_set_name(misterproper, "misterproper");
	gtk_object_set_data(GTK_OBJECT(misterproper), "misterproper",
						misterproper);

	dock1 = GNOME_APP(misterproper)->dock;
	gtk_widget_set_name(dock1, "dock1");
	gtk_widget_ref(dock1);
	gtk_object_set_data_full(GTK_OBJECT(misterproper), "dock1", dock1,
							 (GtkDestroyNotify) gtk_widget_unref);
	gtk_widget_show(dock1);

	hbox1 = gtk_hbox_new(FALSE, 0);
	gtk_widget_set_name(hbox1, "hbox1");
	gtk_widget_ref(hbox1);
	gtk_object_set_data_full(GTK_OBJECT(misterproper), "hbox1", hbox1,
							 (GtkDestroyNotify) gtk_widget_unref);
	gtk_widget_show(hbox1);
	gnome_app_add_docked(GNOME_APP(misterproper), hbox1, "hbox1",
						 GNOME_DOCK_ITEM_BEH_EXCLUSIVE
						 | GNOME_DOCK_ITEM_BEH_NEVER_VERTICAL,
						 GNOME_DOCK_TOP, 0, 0, 0);

	dial1 =
		gtk_dial_new(GTK_ADJUSTMENT
					 (gtk_adjustment_new(0, 0.0, 100, 0.0, 0.0, 0.0)));
	gtk_widget_set_name(dial1, "dial1");
	gtk_widget_ref(dial1);
	gtk_object_set_data_full(GTK_OBJECT(misterproper), "dial1", dial1,
							 (GtkDestroyNotify) gtk_widget_unref);
	gtk_widget_show(dial1);
	gtk_box_pack_start(GTK_BOX(hbox1), dial1, TRUE, TRUE, 0);
	gtk_tooltips_set_tip(tooltips, dial1, _("Tasks to be done"), NULL);

	calendar2 = gtk_calendar_new();
	gtk_widget_set_name(calendar2, "calendar2");
	gtk_widget_ref(calendar2);
	gtk_object_set_data_full(GTK_OBJECT(misterproper), "calendar2",
							 calendar2,
							 (GtkDestroyNotify) gtk_widget_unref);
	gtk_widget_show(calendar2);
	gtk_box_pack_start(GTK_BOX(hbox1), calendar2, TRUE, TRUE, 0);
	gtk_tooltips_set_tip(tooltips, calendar2, _("Just a calendar"), NULL);
	gtk_calendar_display_options(GTK_CALENDAR(calendar2),
								 GTK_CALENDAR_SHOW_HEADING
								 | GTK_CALENDAR_SHOW_DAY_NAMES
								 | GTK_CALENDAR_SHOW_WEEK_NUMBERS
								 | GTK_CALENDAR_WEEK_START_MONDAY);

	pixmap1 =
		create_pixmap(misterproper, "misterproper/misterproper.xpm",
					  FALSE);
	gtk_widget_set_name(pixmap1, "pixmap1");
	gtk_widget_ref(pixmap1);
	gtk_object_set_data_full(GTK_OBJECT(misterproper), "pixmap1", pixmap1,
							 (GtkDestroyNotify) gtk_widget_unref);
	gtk_widget_show(pixmap1);
	gtk_box_pack_start(GTK_BOX(hbox1), pixmap1, FALSE, TRUE, 0);

	toolbar =
		gtk_toolbar_new(GTK_ORIENTATION_HORIZONTAL, GTK_TOOLBAR_BOTH);
	gtk_widget_set_name(toolbar, "toolbar");
	gtk_widget_ref(toolbar);
	gtk_object_set_data_full(GTK_OBJECT(misterproper), "toolbar", toolbar,
							 (GtkDestroyNotify) gtk_widget_unref);
	gtk_widget_show(toolbar);
	gnome_app_add_toolbar(GNOME_APP(misterproper), GTK_TOOLBAR(toolbar),
						  "toolbar", GNOME_DOCK_ITEM_BEH_EXCLUSIVE,
						  GNOME_DOCK_TOP, 1, 0, 0);
	gtk_container_set_border_width(GTK_CONTAINER(toolbar), 1);
	gtk_toolbar_set_space_size(GTK_TOOLBAR(toolbar), 16);
	gtk_toolbar_set_space_style(GTK_TOOLBAR(toolbar),
								GTK_TOOLBAR_SPACE_LINE);

	tmp_toolbar_icon =
		gnome_stock_pixmap_widget(misterproper, GNOME_STOCK_PIXMAP_NEW);
	new =
		gtk_toolbar_append_element(GTK_TOOLBAR(toolbar),
								   GTK_TOOLBAR_CHILD_BUTTON, NULL,
								   _("New"), _("Create a new task"), NULL,
								   tmp_toolbar_icon, NULL, NULL);
	gtk_widget_set_name(new, "new");
	gtk_widget_ref(new);
	gtk_object_set_data_full(GTK_OBJECT(misterproper), "new", new,
							 (GtkDestroyNotify) gtk_widget_unref);
	gtk_widget_show(new);

	tmp_toolbar_icon =
		gnome_stock_pixmap_widget(misterproper, GNOME_STOCK_PIXMAP_OPEN);
	open =
		gtk_toolbar_append_element(GTK_TOOLBAR(toolbar),
								   GTK_TOOLBAR_CHILD_BUTTON, NULL,
								   _("Open"), _("Open a file"), NULL,
								   tmp_toolbar_icon, NULL, NULL);
	gtk_widget_set_name(open, "open");
	gtk_widget_ref(open);
	gtk_object_set_data_full(GTK_OBJECT(misterproper), "open", open,
							 (GtkDestroyNotify) gtk_widget_unref);
	gtk_widget_show(open);

	tmp_toolbar_icon =
		gnome_stock_pixmap_widget(misterproper, GNOME_STOCK_PIXMAP_SAVE);
	save =
		gtk_toolbar_append_element(GTK_TOOLBAR(toolbar),
								   GTK_TOOLBAR_CHILD_BUTTON, NULL,
								   _("Save"), _("Commit changes"), NULL,
								   tmp_toolbar_icon, NULL, NULL);
	gtk_widget_set_name(save, "save");
	gtk_widget_ref(save);
	gtk_object_set_data_full(GTK_OBJECT(misterproper), "save", save,
							 (GtkDestroyNotify) gtk_widget_unref);
	gtk_widget_show(save);

	tmp_toolbar_icon =
		gnome_stock_pixmap_widget(misterproper, GNOME_STOCK_PIXMAP_TRASH);
	delete =
		gtk_toolbar_append_element(GTK_TOOLBAR(toolbar),
								   GTK_TOOLBAR_CHILD_BUTTON, NULL,
								   _("Delete"),
								   _("Delete the highlighted task"), NULL,
								   tmp_toolbar_icon, NULL, NULL);
	gtk_widget_set_name(delete, "delete");
	gtk_widget_ref(delete);
	gtk_object_set_data_full(GTK_OBJECT(misterproper), "delete", delete,
							 (GtkDestroyNotify) gtk_widget_unref);
	gtk_widget_show(delete);

	gtk_toolbar_append_space(GTK_TOOLBAR(toolbar));

	tmp_toolbar_icon =
		gnome_stock_pixmap_widget(misterproper, GNOME_STOCK_PIXMAP_BOTTOM);
	less =
		gtk_toolbar_append_element(GTK_TOOLBAR(toolbar),
								   GTK_TOOLBAR_CHILD_BUTTON, NULL,
								   _("Relax"), _("Less often"), NULL,
								   tmp_toolbar_icon, NULL, NULL);
	gtk_widget_set_name(less, "less");
	gtk_widget_ref(less);
	gtk_object_set_data_full(GTK_OBJECT(misterproper), "less", less,
							 (GtkDestroyNotify) gtk_widget_unref);
	gtk_widget_show(less);

	tmp_toolbar_icon =
		gnome_stock_pixmap_widget(misterproper, GNOME_STOCK_PIXMAP_TOP);
	more =
		gtk_toolbar_append_element(GTK_TOOLBAR(toolbar),
								   GTK_TOOLBAR_CHILD_BUTTON, NULL,
								   _("Intensify"), _("More often"), NULL,
								   tmp_toolbar_icon, NULL, NULL);
	gtk_widget_set_name(more, "more");
	gtk_widget_ref(more);
	gtk_object_set_data_full(GTK_OBJECT(misterproper), "more", more,
							 (GtkDestroyNotify) gtk_widget_unref);
	gtk_widget_show(more);

	tmp_toolbar_icon =
		gnome_stock_pixmap_widget(misterproper, GNOME_STOCK_PIXMAP_EXEC);
	done =
		gtk_toolbar_append_element(GTK_TOOLBAR(toolbar),
								   GTK_TOOLBAR_CHILD_BUTTON, NULL,
								   _("Done"), _("Task completed"), NULL,
								   tmp_toolbar_icon, NULL, NULL);
	gtk_widget_set_name(done, "done");
	gtk_widget_ref(done);
	gtk_object_set_data_full(GTK_OBJECT(misterproper), "done", done,
							 (GtkDestroyNotify) gtk_widget_unref);
	gtk_widget_show(done);

	gtk_toolbar_append_space(GTK_TOOLBAR(toolbar));

	tmp_toolbar_icon =
		gnome_stock_pixmap_widget(misterproper, GNOME_STOCK_PIXMAP_EXIT);
	Quit =
		gtk_toolbar_append_element(GTK_TOOLBAR(toolbar),
								   GTK_TOOLBAR_CHILD_BUTTON, NULL,
								   _("Quit"), _("Exit application"), NULL,
								   tmp_toolbar_icon, NULL, NULL);
	gtk_widget_set_name(Quit, "Quit");
	gtk_widget_ref(Quit);
	gtk_object_set_data_full(GTK_OBJECT(misterproper), "Quit", Quit,
							 (GtkDestroyNotify) gtk_widget_unref);
	gtk_widget_show(Quit);

	scrolledwindow1 = gtk_scrolled_window_new(NULL, NULL);
	gtk_widget_set_name(scrolledwindow1, "scrolledwindow1");
	gtk_widget_ref(scrolledwindow1);
	gtk_object_set_data_full(GTK_OBJECT(misterproper), "scrolledwindow1",
							 scrolledwindow1,
							 (GtkDestroyNotify) gtk_widget_unref);
	gtk_widget_show(scrolledwindow1);
	gnome_app_set_contents(GNOME_APP(misterproper), scrolledwindow1);

	clist_taches = gtk_clist_new(4);
	gtk_widget_set_name(clist_taches, "clist_taches");
	gtk_widget_ref(clist_taches);
	gtk_object_set_data_full(GTK_OBJECT(misterproper), "clist_taches",
							 clist_taches,
							 (GtkDestroyNotify) gtk_widget_unref);
	gtk_widget_show(clist_taches);
	gtk_container_add(GTK_CONTAINER(scrolledwindow1), clist_taches);
	gtk_widget_set_usize(clist_taches, 921, 400);
	gtk_tooltips_set_tip(tooltips, clist_taches, _("Tasks"), NULL);
	gtk_clist_set_column_width(GTK_CLIST(clist_taches), 0, 410);
	gtk_clist_set_column_width(GTK_CLIST(clist_taches), 1, 94);
	gtk_clist_set_column_width(GTK_CLIST(clist_taches), 2, 304);
	gtk_clist_set_column_width(GTK_CLIST(clist_taches), 3, 80);
	gtk_clist_column_titles_show(GTK_CLIST(clist_taches));

	Task = gtk_label_new(_("Task"));
	gtk_widget_set_name(Task, "Task");
	gtk_widget_ref(Task);
	gtk_object_set_data_full(GTK_OBJECT(misterproper), "Task", Task,
							 (GtkDestroyNotify) gtk_widget_unref);
	gtk_widget_show(Task);
	gtk_clist_set_column_widget(GTK_CLIST(clist_taches), 0, Task);

	Freq = gtk_label_new(_("Frequency"));
	gtk_widget_set_name(Freq, "Freq");
	gtk_widget_ref(Freq);
	gtk_object_set_data_full(GTK_OBJECT(misterproper), "Freq", Freq,
							 (GtkDestroyNotify) gtk_widget_unref);
	gtk_widget_show(Freq);
	gtk_clist_set_column_widget(GTK_CLIST(clist_taches), 1, Freq);

	LastTime = gtk_label_new(_("Previous time"));
	gtk_widget_set_name(LastTime, "LastTime");
	gtk_widget_ref(LastTime);
	gtk_object_set_data_full(GTK_OBJECT(misterproper), "LastTime",
							 LastTime,
							 (GtkDestroyNotify) gtk_widget_unref);
	gtk_widget_show(LastTime);
	gtk_clist_set_column_widget(GTK_CLIST(clist_taches), 2, LastTime);

	ID = gtk_label_new(_("ID"));
	gtk_widget_set_name(ID, "ID");
	gtk_widget_ref(ID);
	gtk_object_set_data_full(GTK_OBJECT(misterproper), "ID", ID,
							 (GtkDestroyNotify) gtk_widget_unref);
	gtk_widget_show(ID);
	gtk_clist_set_column_widget(GTK_CLIST(clist_taches), 3, ID);

	appbar1 = gnome_appbar_new(TRUE, TRUE, GNOME_PREFERENCES_NEVER);
	gtk_widget_set_name(appbar1, "appbar1");
	gtk_widget_ref(appbar1);
	gtk_object_set_data_full(GTK_OBJECT(misterproper), "appbar1", appbar1,
							 (GtkDestroyNotify) gtk_widget_unref);
	gtk_widget_show(appbar1);
	gnome_app_set_statusbar(GNOME_APP(misterproper), appbar1);

	gtk_signal_connect(GTK_OBJECT(misterproper), "delete_event",
					   GTK_SIGNAL_FUNC(on_misterproper_delete_event),
					   NULL);
	gtk_signal_connect(GTK_OBJECT(misterproper), "destroy_event",
					   GTK_SIGNAL_FUNC(on_misterproper_destroy_event),
					   NULL);
	gtk_signal_connect(GTK_OBJECT(calendar2), "realize",
					   GTK_SIGNAL_FUNC(on_calendar2_realize), NULL);
	gtk_signal_connect(GTK_OBJECT(calendar2), "prev_month",
					   GTK_SIGNAL_FUNC(on_calendar2_change), NULL);
	gtk_signal_connect(GTK_OBJECT(calendar2), "next_month",
					   GTK_SIGNAL_FUNC(on_calendar2_change), NULL);
	gtk_signal_connect(GTK_OBJECT(calendar2), "prev_year",
					   GTK_SIGNAL_FUNC(on_calendar2_change), NULL);
	gtk_signal_connect(GTK_OBJECT(calendar2), "next_year",
					   GTK_SIGNAL_FUNC(on_calendar2_change), NULL);
	gtk_signal_connect(GTK_OBJECT(dial1), "realize",
					   GTK_SIGNAL_FUNC(on_dial1_realize), NULL);
	gtk_signal_connect(GTK_OBJECT(new), "clicked",
					   GTK_SIGNAL_FUNC(on_new_clicked), NULL);
	gtk_signal_connect(GTK_OBJECT(open), "clicked",
					   GTK_SIGNAL_FUNC(on_open_clicked), NULL);
	gtk_signal_connect(GTK_OBJECT(save), "clicked",
					   GTK_SIGNAL_FUNC(on_save_clicked), NULL);
	gtk_signal_connect(GTK_OBJECT(delete), "clicked",
					   GTK_SIGNAL_FUNC(on_delete_clicked), NULL);
	gtk_signal_connect(GTK_OBJECT(less), "clicked",
					   GTK_SIGNAL_FUNC(on_less_clicked), NULL);
	gtk_signal_connect(GTK_OBJECT(more), "clicked",
					   GTK_SIGNAL_FUNC(on_more_clicked), NULL);
	gtk_signal_connect(GTK_OBJECT(done), "clicked",
					   GTK_SIGNAL_FUNC(on_done_clicked), NULL);
	gtk_signal_connect(GTK_OBJECT(Quit), "clicked",
					   GTK_SIGNAL_FUNC(on_Quit_clicked), NULL);
	gtk_signal_connect(GTK_OBJECT(clist_taches), "realize",
					   GTK_SIGNAL_FUNC(on_clist_taches_realize), NULL);
	gtk_signal_connect(GTK_OBJECT(clist_taches), "select_row",
					   GTK_SIGNAL_FUNC(on_clist_taches_select_row), NULL);
	gtk_signal_connect(GTK_OBJECT(appbar1), "realize",
					   GTK_SIGNAL_FUNC(on_appbar1_realize), NULL);

	gtk_object_set_data(GTK_OBJECT(misterproper), "tooltips", tooltips);

	return misterproper;
}

GtkWidget *create_taskedit(void)
{
	GtkWidget *taskedit;
	GtkWidget *dialog_vbox1;
	GtkWidget *taskedit_label1;
	GtkWidget *entry1;
	GtkWidget *combo_entry1;
	GtkWidget *taskedit_label2;
	GtkWidget *hscale1;
	GtkWidget *taskedit_label3;
	GtkWidget *dateedit1;
	GtkWidget *dialog_action_area1;
	GtkWidget *taskedit_ok;
	GtkWidget *taskedit_cancel;
	GtkTooltips *tooltips;

	tooltips = gtk_tooltips_new();

	taskedit = gnome_dialog_new(_("Task editor"), NULL);
	gtk_widget_set_name(taskedit, "taskedit");
	gtk_object_set_data(GTK_OBJECT(taskedit), "taskedit", taskedit);
	gtk_widget_set_usize(taskedit, 720, -2);
	gtk_tooltips_set_tip(tooltips, taskedit, _("Task editor"), NULL);
	GTK_WINDOW(taskedit)->type = GTK_WINDOW_DIALOG;
	gtk_window_set_policy(GTK_WINDOW(taskedit), TRUE, TRUE, FALSE);

	dialog_vbox1 = GNOME_DIALOG(taskedit)->vbox;
	gtk_widget_set_name(dialog_vbox1, "dialog_vbox1");
	gtk_object_set_data(GTK_OBJECT(taskedit), "dialog_vbox1",
						dialog_vbox1);
	gtk_widget_show(dialog_vbox1);

	taskedit_label1 = gtk_label_new(_("Task name :"));
	gtk_widget_set_name(taskedit_label1, "taskedit_label1");
	gtk_widget_ref(taskedit_label1);
	gtk_object_set_data_full(GTK_OBJECT(taskedit), "taskedit_label1",
							 taskedit_label1,
							 (GtkDestroyNotify) gtk_widget_unref);
	gtk_widget_show(taskedit_label1);
	gtk_box_pack_start(GTK_BOX(dialog_vbox1), taskedit_label1, FALSE,
					   FALSE, 0);

	entry1 = gnome_entry_new(NULL);
	gtk_widget_set_name(entry1, "entry1");
	gtk_widget_ref(entry1);
	gtk_object_set_data_full(GTK_OBJECT(taskedit), "entry1", entry1,
							 (GtkDestroyNotify) gtk_widget_unref);
	gtk_widget_show(entry1);
	gtk_box_pack_start(GTK_BOX(dialog_vbox1), entry1, FALSE, FALSE, 0);

	combo_entry1 = gnome_entry_gtk_entry(GNOME_ENTRY(entry1));
	gtk_widget_set_name(combo_entry1, "combo_entry1");
	gtk_widget_ref(combo_entry1);
	gtk_object_set_data_full(GTK_OBJECT(taskedit), "combo_entry1",
							 combo_entry1,
							 (GtkDestroyNotify) gtk_widget_unref);
	gtk_widget_show(combo_entry1);
	gtk_tooltips_set_tip(tooltips, combo_entry1, _("Enter the task name"),
						 NULL);

	taskedit_label2 = gtk_label_new(_("Frequency (in days) :"));
	gtk_widget_set_name(taskedit_label2, "taskedit_label2");
	gtk_widget_ref(taskedit_label2);
	gtk_object_set_data_full(GTK_OBJECT(taskedit), "taskedit_label2",
							 taskedit_label2,
							 (GtkDestroyNotify) gtk_widget_unref);
	gtk_widget_show(taskedit_label2);
	gtk_box_pack_start(GTK_BOX(dialog_vbox1), taskedit_label2, FALSE,
					   FALSE, 0);

	hscale1 =
		gtk_hscale_new(GTK_ADJUSTMENT
					   (gtk_adjustment_new(15, 1, 366, 1, 1, 0)));
	gtk_widget_set_name(hscale1, "hscale1");
	gtk_widget_ref(hscale1);
	gtk_object_set_data_full(GTK_OBJECT(taskedit), "hscale1", hscale1,
							 (GtkDestroyNotify) gtk_widget_unref);
	gtk_widget_show(hscale1);
	gtk_box_pack_start(GTK_BOX(dialog_vbox1), hscale1, FALSE, FALSE, 0);
	gtk_scale_set_digits(GTK_SCALE(hscale1), 0);

	taskedit_label3 = gtk_label_new(_("Task to be started on day :"));
	gtk_widget_set_name(taskedit_label3, "taskedit_label3");
	gtk_widget_ref(taskedit_label3);
	gtk_object_set_data_full(GTK_OBJECT(taskedit), "taskedit_label3",
							 taskedit_label3,
							 (GtkDestroyNotify) gtk_widget_unref);
	gtk_widget_show(taskedit_label3);
	gtk_box_pack_start(GTK_BOX(dialog_vbox1), taskedit_label3, FALSE,
					   FALSE, 0);

	dateedit1 = gnome_date_edit_new((time_t) 0, TRUE, TRUE);
	gtk_widget_set_name(dateedit1, "dateedit1");
	gtk_widget_ref(dateedit1);
	gtk_object_set_data_full(GTK_OBJECT(taskedit), "dateedit1", dateedit1,
							 (GtkDestroyNotify) gtk_widget_unref);
	gtk_widget_show(dateedit1);
	gtk_box_pack_start(GTK_BOX(dialog_vbox1), dateedit1, FALSE, FALSE, 0);
	gnome_date_edit_set_flags(GNOME_DATE_EDIT(dateedit1),
							  GNOME_DATE_EDIT_SHOW_TIME
							  | GNOME_DATE_EDIT_24_HR
							  | GNOME_DATE_EDIT_WEEK_STARTS_ON_MONDAY);
	gnome_date_edit_set_popup_range(GNOME_DATE_EDIT(dateedit1), 7, 23);

	dialog_action_area1 = GNOME_DIALOG(taskedit)->action_area;
	gtk_widget_set_name(dialog_action_area1, "dialog_action_area1");
	gtk_object_set_data(GTK_OBJECT(taskedit), "dialog_action_area1",
						dialog_action_area1);
	gtk_widget_show(dialog_action_area1);
	gtk_button_box_set_layout(GTK_BUTTON_BOX(dialog_action_area1),
							  GTK_BUTTONBOX_END);
	gtk_button_box_set_spacing(GTK_BUTTON_BOX(dialog_action_area1), 8);

	gnome_dialog_append_button(GNOME_DIALOG(taskedit),
							   GNOME_STOCK_BUTTON_OK);
	taskedit_ok = g_list_last(GNOME_DIALOG(taskedit)->buttons)->data;
	gtk_widget_set_name(taskedit_ok, "taskedit_ok");
	gtk_widget_ref(taskedit_ok);
	gtk_object_set_data_full(GTK_OBJECT(taskedit), "taskedit_ok",
							 taskedit_ok,
							 (GtkDestroyNotify) gtk_widget_unref);
	gtk_widget_show(taskedit_ok);
	GTK_WIDGET_SET_FLAGS(taskedit_ok, GTK_CAN_DEFAULT);
	gtk_tooltips_set_tip(tooltips, taskedit_ok, _("Add this task"), NULL);

	gnome_dialog_append_button(GNOME_DIALOG(taskedit),
							   GNOME_STOCK_BUTTON_CANCEL);
	taskedit_cancel = g_list_last(GNOME_DIALOG(taskedit)->buttons)->data;
	gtk_widget_set_name(taskedit_cancel, "taskedit_cancel");
	gtk_widget_ref(taskedit_cancel);
	gtk_object_set_data_full(GTK_OBJECT(taskedit), "taskedit_cancel",
							 taskedit_cancel,
							 (GtkDestroyNotify) gtk_widget_unref);
	gtk_widget_show(taskedit_cancel);
	GTK_WIDGET_SET_FLAGS(taskedit_cancel, GTK_CAN_DEFAULT);
	gtk_tooltips_set_tip(tooltips, taskedit_cancel, _("Discard"), NULL);

	gtk_signal_connect(GTK_OBJECT(taskedit), "close",
					   GTK_SIGNAL_FUNC(on_taskedit_close), NULL);
	gtk_signal_connect(GTK_OBJECT(taskedit), "destroy_event",
					   GTK_SIGNAL_FUNC(on_taskedit_destroy_event), NULL);
	gtk_signal_connect(GTK_OBJECT(combo_entry1), "realize",
					   GTK_SIGNAL_FUNC(on_combo_entry1_realize), NULL);
	gtk_signal_connect(GTK_OBJECT(hscale1), "realize",
					   GTK_SIGNAL_FUNC(on_hscale1_realize), NULL);
	gtk_signal_connect(GTK_OBJECT(dateedit1), "realize",
					   GTK_SIGNAL_FUNC(on_dateedit1_realize), NULL);
	gtk_signal_connect(GTK_OBJECT(taskedit_ok), "clicked",
					   GTK_SIGNAL_FUNC(on_taskedit_ok_clicked), NULL);
	gtk_signal_connect(GTK_OBJECT(taskedit_cancel), "clicked",
					   GTK_SIGNAL_FUNC(on_taskedit_cancel_clicked), NULL);

	gtk_object_set_data(GTK_OBJECT(taskedit), "tooltips", tooltips);

	return taskedit;
}
